質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.03%

jorurimailが表示されない

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 346

score 40

CentOS7でjorurimailをインストールしたところ、下記のような画面になります。
イメージ説明

エラーログは

[ E 2020-06-07 17:19:44.7061 1788/Tv age/Cor/App/Implementation.cpp:304 ]: Could not spawn process for application /var/share/jorurimail: An error occurred while starting up the preloader.
  Error ID: 7a50720c
  Error details saved to: /tmp/passenger-error-Fqt0Xq.html
  Message from application: undefined method `symbolize_keys' for #<String:0x000055a29afd0858> (NoMethodError)
  /var/share/jorurimail/vendor/bundle/ruby/2.3.0/gems/railties-5.0.0.1/lib/rails/application.rb:393:in `secrets'
  /var/share/jorurimail/vendor/bundle/ruby/2.3.0/gems/railties-5.0.0.1/lib/rails/application.rb:171:in `key_generator'
  /var/share/jorurimail/vendor/bundle/ruby/2.3.0/gems/railties-5.0.0.1/lib/rails/application.rb:202:in `message_verifier'
  /var/share/jorurimail/vendor/bundle/ruby/2.3.0/gems/globalid-0.3.7/lib/global_id/railtie.rb:25:in `block (2 levels) in <class:Railtie>'
  /var/share/jorurimail/vendor/bundle/ruby/2.3.0/gems/activesupport-5.0.0.1/lib/active_support/lazy_load_hooks.rb:36:in `execute_hook'
  /var/share/jorurimail/vendor/bundle/ruby/2.3.0/gems/activesupport-5.0.0.1/lib/active_support/lazy_load_hooks.rb:45:in `block in run_load_hooks'
  /var/share/jorurimail/vendor/bundle/ruby/2.3.0/gems/activesupport-5.0.0.1/lib/active_support/lazy_load_hooks.rb:44:in `each'
  /var/share/jorurimail/vendor/bundle/ruby/2.3.0/gems/activesupport-5.0.0.1/lib/active_support/lazy_load_hooks.rb:44:in `run_load_hooks'
  /var/share/jorurimail/vendor/bundle/ruby/2.3.0/gems/railties-5.0.0.1/lib/rails/application/finisher.rb:65:in `block in <module:Finisher>'
  /var/share/jorurimail/vendor/bundle/ruby/2.3.0/gems/railties-5.0.0.1/lib/rails/initializable.rb:30:in `instance_exec'
  /var/share/jorurimail/vendor/bundle/ruby/2.3.0/gems/railties-5.0.0.1/lib/rails/initializable.rb:30:in `run'
  /var/share/jorurimail/vendor/bundle/ruby/2.3.0/gems/railties-5.0.0.1/lib/rails/initializable.rb:55:in `block in run_initializers'
  /usr/local/rbenv/versions/2.3.7/lib/ruby/2.3.0/tsort.rb:228:in `block in tsort_each'
  /usr/local/rbenv/versions/2.3.7/lib/ruby/2.3.0/tsort.rb:350:in `block (2 levels) in each_strongly_connected_component'
  /usr/local/rbenv/versions/2.3.7/lib/ruby/2.3.0/tsort.rb:431:in `each_strongly_connected_component_from'
  /usr/local/rbenv/versions/2.3.7/lib/ruby/2.3.0/tsort.rb:349:in `block in each_strongly_connected_component'
  /usr/local/rbenv/versions/2.3.7/lib/ruby/2.3.0/tsort.rb:347:in `each'
  /usr/local/rbenv/versions/2.3.7/lib/ruby/2.3.0/tsort.rb:347:in `call'
  /usr/local/rbenv/versions/2.3.7/lib/ruby/2.3.0/tsort.rb:347:in `each_strongly_connected_component'
  /usr/local/rbenv/versions/2.3.7/lib/ruby/2.3.0/tsort.rb:226:in `tsort_each'
  /usr/local/rbenv/versions/2.3.7/lib/ruby/2.3.0/tsort.rb:205:in `tsort_each'
  /var/share/jorurimail/vendor/bundle/ruby/2.3.0/gems/railties-5.0.0.1/lib/rails/initializable.rb:54:in `run_initializers'
  /var/share/jorurimail/vendor/bundle/ruby/2.3.0/gems/railties-5.0.0.1/lib/rails/application.rb:352:in `initialize!'
  /var/share/jorurimail/config/environment.rb:5:in `<top (required)>'
  config.ru:3:in `require'
  config.ru:3:in `block in <main>'
  /var/share/jorurimail/vendor/bundle/ruby/2.3.0/gems/rack-2.0.1/lib/rack/builder.rb:55:in `instance_eval'
  /var/share/jorurimail/vendor/bundle/ruby/2.3.0/gems/rack-2.0.1/lib/rack/builder.rb:55:in `initialize'
  config.ru:1:in `new'
  config.ru:1:in `<main>'
  /usr/local/rbenv/versions/2.3.7/lib/ruby/gems/2.3.0/gems/passenger-5.1.12/src/helper-scripts/rack-preloader.rb:110:in `eval'
  /usr/local/rbenv/versions/2.3.7/lib/ruby/gems/2.3.0/gems/passenger-5.1.12/src/helper-scripts/rack-preloader.rb:110:in `preload_app'
  /usr/local/rbenv/versions/2.3.7/lib/ruby/gems/2.3.0/gems/passenger-5.1.12/src/helper-scripts/rack-preloader.rb:156:in `<module:App>'
  /usr/local/rbenv/versions/2.3.7/lib/ruby/gems/2.3.0/gems/passenger-5.1.12/src/helper-scripts/rack-preloader.rb:30:in `<module:PhusionPassenger>'
  /usr/local/rbenv/versions/2.3.7/lib/ruby/gems/2.3.0/gems/passenger-5.1.12/src/helper-scripts/rack-preloader.rb:29:in `<main>'


[ E 2020-06-07 17:19:44.7181 1788/T9 age/Cor/Con/CheckoutSession.cpp:285 ]: [Client 2-7] Cannot checkout session because a spawning error occurred. The identifier of the error is 7a50720c. Please see earlier logs for details about the error.


となっています。

joruriGWはインストールでき、かつアクセスできています。

自分で調べたところ、passengerの関係かなと思うのですが、どうしたらいいかわかりません。
御教授いただけるうれしいです。よろしくお願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

secrets.ymlに記述するsecret_key_base:とキーの間にスペースはありますでしょうか。

例:
間違い

secret_key_base:XXXXXXXXXXXXXXXXXXX


正しい

secret_key_base: XXXXXXXXXXXXXXXXXXX

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.03%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る